//------------------------------------------------------------------------------
// <copyright file="TransportScheme.java" company="Microsoft">
//      Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
// <summary>
//      TransportScheme
// </summary>
//------------------------------------------------------------------------------

package com.microsoft.hpc.scheduler.session;

/**
 * TransportScheme enum used to give a name and value to possible TransportSchemes.
 * 
 * Their values are the index at which you would find their correct endpoint in their ArrayofString
 * @see BrokerClient
 */
public enum TransportScheme
{
    None(-1, "None"),
    NetTCP(0, "Net.Tcp"),
    Http(1, "Http"),
    Custom(2, "Custom"),
    Local(3, "Local");
    
    private int index;
    private String name;
    
    private TransportScheme(int index, String name)
    {
        this.index = index;
        this.name = name;
    }
    
    public String getName()
    {
        return name;
    }
    
    public int getIndex()
    {
        return index;
    }
    
}
